moeoGenerationalReplacement(3)

NAME
moeoGenerationalReplacement - Generational replacement: only the new individuals are preserved.

SYNOPSIS

#include <moeoGenerationalReplacement.h>

Inherits moeoReplacement< MOEOT >< MOEOT >, and eoGenerationalReplacement< MOEOT >.

  Public Member Functions
void operator() (eoPop< MOEOT > &_parents, eoPop< MOEOT > &_offspring)
Swaps _parents and _offspring.

Detailed Description

  template<class MOEOT> class moeoGenerationalReplacement< MOEOT >
Generational replacement: only the new individuals are preserved.

Definition at line 23 of file moeoGenerationalReplacement.h.

Member Function Documentation

  template<class MOEOT> void moeoGenerationalReplacement< MOEOT >::operator() (eoPop< MOEOT > & _parents, eoPop< MOEOT > & _offspring) [inline]

Swaps _parents and _offspring.

Parameters:
    _parents the parents population
    _offspring the offspring population

Reimplemented from eoGenerationalReplacement< MOEOT >.

Definition at line 32 of file moeoGenerationalReplacement.h.

Author

Generated automatically by Doxygen for ParadisEO-MOEO from the source code.